[@rxap/data-grid](../wiki/globals) / DataGridRowDefDirective

# Class: DataGridRowDefDirective\<T\>

Defined in: [data-grid-row-def.directive.ts:14](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/data-grid-row-def.directive.ts#L14)

## Type Parameters

• **T** *extends* `Record`\<`string`, `any`\>

## Constructors

### new DataGridRowDefDirective()

> **new DataGridRowDefDirective**\<`T`\>(): [`DataGridRowDefDirective`](../wiki/Class.DataGridRowDefDirective)\<`T`\>

#### Returns

[`DataGridRowDefDirective`](../wiki/Class.DataGridRowDefDirective)\<`T`\>

## Properties

### cell?

> `optional` **cell**: [`DataGridCellDefDirective`](../wiki/Class.DataGridCellDefDirective)\<`T`\>

Defined in: [data-grid-row-def.directive.ts:42](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/data-grid-row-def.directive.ts#L42)

***

### data

> **data**: `any` = `null`

Defined in: [data-grid-row-def.directive.ts:17](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/data-grid-row-def.directive.ts#L17)

***

### editCell?

> `optional` **editCell**: [`DataGridEditCellDefDirective`](../wiki/Class.DataGridEditCellDefDirective)\<`T`\>

Defined in: [data-grid-row-def.directive.ts:48](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/data-grid-row-def.directive.ts#L48)

***

### flip

> **flip**: `boolean` = `false`

Defined in: [data-grid-row-def.directive.ts:39](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/data-grid-row-def.directive.ts#L39)

true - the header and content cell are "rotated" by 90°. The header is above the content cell and both have a
colspan

**flip: false**
Label | Value
--- | ---
Header | Content

**flip: true**
Label | Value
--- | ---
Header (colspan 2)
Content (colspan 2)

***

### headerCell?

> `optional` **headerCell**: [`DataGridHeaderCellDefDirective`](../wiki/Class.DataGridHeaderCellDefDirective)

Defined in: [data-grid-row-def.directive.ts:45](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/data-grid-row-def.directive.ts#L45)

***

### name?

> `optional` **name**: `string`

Defined in: [data-grid-row-def.directive.ts:20](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/data-grid-row-def.directive.ts#L20)

## Accessors

### isSubHeader

#### Get Signature

> **get** **isSubHeader**(): `boolean`

Defined in: [data-grid-row-def.directive.ts:50](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/data-grid-row-def.directive.ts#L50)

##### Returns

`boolean`
